# disable debuginfo package
%define debug_package %{nil}

Summary: Milter filter for renaming dangerous MIME attachments.
Name: vbsfilter
Version: 1.11
Release: 2.9
Source:  vbsfilter-%{version}.tar.gz
Patch0:  vbsfilter-linux.ioctl
URL: http://aeschi.ch.eu.org/milter/
License: GPL
Group: System Environment/Daemons
Packager: Milan Kerslager <kerslage@linux.cz>
BuildRoot: %{_tmppath}/vbsfilter
Requires: sendmail >= 8.11.6
BuildRequires: sendmail-devel gcc make patch

%description
Daemon for renaming dangerous mail attachments. Uses milter library
from sendmail package. To utilize this filter you have to modify
/etc/mail/sendmail.cf so read the README.html please.

%prep
%setup -q
%patch -p1 -b .linux.ioctl

%build
ln -s Makefile-Linux Makefile
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d \
         $RPM_BUILD_ROOT/%{_usr}/sbin
install -m 755 vbsfilter-init $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/vbsfilter
install -m 755 vbsfilter $RPM_BUILD_ROOT/%{_usr}/sbin/vbsfilter

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add vbsfilter

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del vbsfilter
    /sbin/service vbsfilter stop >/dev/null 2>&1
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service vbsfilter condrestart >/dev/null 2>&1
fi

%files
%doc README.html
%defattr(0755,root,root,0755)
%{_sysconfdir}/rc.d/init.d/vbsfilter
%{_usr}/sbin/vbsfilter

%changelog
* Wed May 14 2003 Milan Kerslager <kerslage@linux.cz> 1.11-2.9
- rebuild for RH 9

* Thu Jan 23 2003 Milan Kerslager <kerslage@linux.cz> 1.11-2.8x
- rebuild for 8.0

* Thu Jan 23 2003 Milan Kerslager <kerslage@linux.cz> 1.11-2.7x
- BuildRequires: patch gcc
- bumped Release to make builds for RH 7.x and 8.x

* Tue Jan 14 2003 Milan Kerslager <kerslage@linux.cz> 1.11-1
- updated to v1.11
- Linux ioctl.h patch
- vbsfilter binary is now included (uff!)

* Tue Nov 19 2002 Milan Kerslager <kerslage@linux.cz> 1.9-1
- initial version
